@charset "utf-8";

/* mv */
.mv {
    background: var(--color-white);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
.mv_txt {
    font-weight: 600;
}
@media (min-width: 769px) {
    .mv {
        height: 415px;
        margin-top: 104px;
    }
    .mv_txt {
        font-size: 56px;
    }
}
@media (max-width: 768px) {
    .mv {
        height: 418px;
    }
    .mv_txt {
        font-size: 41px;
        margin-top: 42px;
    }
}

.column_wrap {
    overflow: hidden;
    background: #f5f5f5;
    margin-inline: auto;
}
@media (min-width: 769px) {
    .column_wrap {
        border-radius: 16px;
        padding: 120px 80px;
    }
}
@media (max-width: 768px) {
    .column_wrap {
        padding: 75px 16px;
    }
}

/* controller */
.controller_wrap {
    position: relative;
    background: var(--color-white);
    margin-inline: auto;
}
.controller_set {
    font-weight: 500;
}
.controller_set input,
.controller_set tags {
    display: block;
    width: 100%;
    background: #f5f5f5;
    padding: 0;
    margin: 0;
    border: none;
}
.controller_btn_wrap {
    display: flex;
    justify-content: center;
    cursor: pointer;
}
.controller_btn {
    position: relative;
    color: var(--color-white);
    background: var(--color-gray);
    text-align: left;
    cursor: pointer;
}
.controller_btn::after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    display: block;
    margin-block: auto;
    rotate: 45deg;
    border-top: 2px solid var(--color-white);
    border-right: 2px solid var(--color-white);
}
.controller_set tags {
    display: flex;
    flex-wrap: wrap;
}
.controller_set tags:not(:has(tag))::after {
    content: '';
    position: absolute;
    bottom: 0;
    rotate: 45deg;
    display: block;
    margin-block: auto;
    border-bottom: 2px solid var(--color-black);
    border-right: 2px solid var(--color-black);
    pointer-events: none;
}
.controller_set tag {
    border: 1px solid var(--color-dark-gray);
    font-weight: 500;
    border-radius: 9999px;
}
.tagify__tag > div {
    background: transparent;
    color: var(--color-dark-gray);
}
.tagify__tag > div::before {
    border-radius: 9999px;
}
.tagify__tag {
    margin-block: 0;
}
.tagify__input {
    display: none; /* gapで隙間ができるので */
    min-height: 0;
}
.tagify__tag__removeBtn {
    color: var(--color-dark-gray);
    font-size: 16px;
}
@media (min-width: 769px) {
    .controller_wrap {
        left: -7px;
        max-width: 865px;
        border-radius: 16px;
        padding: 60px 60px;
    }
    .controller {
        margin-left: 13px;
    }
    .controller_set {
        font-size: 16px;
    }
    .controller_set + .controller_set {
        margin-top: 29px;
    }
    .controller_set > dd {
        margin-top: 6px;
    }
    .controller_set input,
    .controller_set tags {
        width: 100%;
        border-radius: 16px;
    }
    .controller_set input {
        min-height: 64px;
        padding-inline: 30px;
    }
    .controller_set tags {
        min-height: 58px;
        padding-inline: 30px 50px;
    }
    .controller_btn_wrap {
        margin-top: 44px;
    }
    .controller_btn {
        width: 195px;
        height: 48px;
        padding-inline: 34px;
    }
    .controller_btn::after {
        width: 9px;
        height: 9px;
        top: 0;
        right: 31px;
        bottom: 0;
    }
    .controller_set tags {
        padding-block: 17px;
        gap: 12px;
    }
    .controller_set tag {
        font-size: 12px;
        line-height: 1.2;
        letter-spacing: 0.08em;
    }
    .tagify__tag > div {
        --tag-pad: 4px 4px 4px 11px;
    }
    .controller_set tags:not(:has(tag))::after {
        top: 0px;
        right: 20px;
        width: 10px;
        height: 10px;
    }
    .tagify__tag__removeBtn {
        margin-top: 2px;
    }
    @media (hover: hover) {
        .controller_btn {
            transition: background-color 0.4s;
        }
        .controller_btn:hover {
            background-color: var(--color-blue);
        }
    }
}
@media (max-width: 768px) {
    .controller_wrap {
        border-radius: 16px;
        padding: 40px 19px;
    }
    .controller_set {
        font-size: 16px;
    }
    .controller_set + .controller_set {
        margin-top: 15px;
    }
    .controller_set > dd {
        margin-top: 4px;
    }
    .controller_set input,
    .controller_set tags {
        width: 100%;
        border-radius: 8px;
        padding-inline: 20px;
    }
    .controller_set input {
        min-height: 54px;
    }
    .controller_set tags {
        min-height: 58px;
        padding-inline: 13px;
    }
    .controller_btn_wrap {
        margin-top: 30px;
    }
    .controller_btn {
        width: 187px;
        height: 43px;
        padding-inline: 30px;
        font-size: 15px;
        letter-spacing: 0.02em;
    }
    .controller_btn::after {
        width: 9px;
        height: 9px;
        top: 0;
        right: 31px;
        bottom: 0;
    }
    .controller_set tags {
        padding-block: 20px;
        gap: 12px 5px;
    }
    .controller_set tag {
        font-size: 12px;
        line-height: 1.2;
        letter-spacing: 0.08em;
        padding-right: 6px;
    }
    .tagify__tag > div {
        --tag-pad: 3px 3px 3px 9px;
        letter-spacing: 0.04em;
    }
    .tagify__tag {
        margin-inline: 0;
    }
    .controller_set tags:not(:has(tag))::after {
        top: 0px;
        right: 20px;
        width: 10px;
        height: 10px;
    }
    .tagify__tag__removeBtn {
        font-size: 26px;
        top: 1px;
        left: -3px;
        font-weight: 400;
    }
}

/* column_index */
.column_index {
    margin-inline: auto;
}
.no_article_txt {
    text-align: center;
    font-weight: 600;
}
.order_wrap {
    position: relative;
    display: flex;
    justify-content: end;
}
.order_wrap::after {
    content: '';
    position: absolute;
    rotate: 45deg;
    display: block;
    margin-block: auto;
    pointer-events: none;
}
.order {
    position: relative;
    background: var(--color-black);
    color: var(--color-white);
    appearance: none;
    border: none;
    cursor: pointer;
}
.column_index_list_cover {
    display: grid;
}
.column_index_list_cover > li > a {
    text-decoration: none;
}
.column_index_thumb_cover {
    position: relative;
    overflow: hidden;
}
.column_index_tag_list {
    display: flex;
    flex-wrap: wrap;
}
.column_index_tag_list > li {
    font-weight: 500;
    border-radius: 9999px;
    border: 1px solid var(--color-black);
}
.column_index_ttl {
    font-weight: 700;
}
@media (min-width: 769px) {
    .column_index {
        margin-top: 120px;
        max-width: 1200px;
    }
    .no_article_txt {
        font-size: 16px;
        font-weight: 500;
    }
    .order_wrap::after {
        top: 0px;
        bottom: 0;
        right: 33px;
        width: 9px;
        height: 9px;
        border-bottom: 2px solid var(--color-white);
        border-right: 2px solid var(--color-white);
    }
    .order {
        width: 140px;
        height: 50px;
        padding-inline: 28px;
    }
    .column_index_list_cover {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        gap: 15px;
        margin-top: 38px;
    }
    .column_index_thumb_cover {
        border-radius: 16px;
    }
    .column_index_tag_list {
        gap: 10px;
        margin-top: 24px;
    }
    .column_index_tag_list > li {
        font-size: 12px;
        font-weight: 500;
        line-height: 1;
        padding: 5px 10px;
    }
    .column_index_ttl {
        margin-top: 10px;
        font-size: 16px;
        letter-spacing: 0.1em;
    }
    @media (hover: hover) {
        .order {
            transition: background-color 0.4s;
        }
        .order:hover {
            background-color: var(--color-blue);
        }
        .column_index_list_cover {
            a {
                .column_index_thumb_cover img {
                    transition: scale 0.4s;
                }
                .column_index_tag_list > li {
                    transition:
                        color 0.4s,
                        border-color 0.4s;
                }
                .column_index_ttl {
                    transition: color 0.4s;
                }
            }
            a:hover {
                .column_index_thumb_cover img {
                    scale: 1.1;
                }
                .column_index_tag_list > li {
                    color: var(--color-blue);
                    border-color: var(--color-blue);
                }
                .column_index_ttl {
                    color: var(--color-blue);
                }
            }
        }
    }
}
@media (max-width: 768px) {
    .column_index {
        margin-top: 75px;
    }
    .no_article_txt {
        font-size: 16px;
        font-weight: 500;
    }
    .order_wrap::after {
        top: -4px;
        bottom: 0;
        right: 32px;
        width: 9px;
        height: 9px;
        border-bottom: 2px solid var(--color-white);
        border-right: 2px solid var(--color-white);
    }
    .order {
        width: 133px;
        height: 42px;
        padding-inline: 28px;
    }
    .column_index_list_cover {
        grid-template-columns: 1fr;
        gap: 33px;
        margin-top: 34px;
    }
    .column_index_thumb_cover {
        border-radius: 8px;
    }
    .column_index_tag_list {
        gap: 10px;
        margin-top: 20px;
    }
    .column_index_tag_list > li {
        font-size: 12px;
        font-weight: 500;
        line-height: 1;
        padding: 5px 10px;
    }
    .column_index_ttl {
        margin-top: 10px;
        font-size: 16px;
        letter-spacing: 0.1em;
    }
}

/* pager */
.pager {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.pager > li > a {
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--color-black);
    text-decoration: none;
}
.pager > li.active > a {
    background-color: var(--color-black);
    color: var(--color-white);
    pointer-events: none;
}
@media (min-width: 769px) {
    .pager {
        gap: 10px;
        margin-top: 40px;
    }
    .pager > li {
        width: 44px;
        height: 44px;
    }
    .pager > li > a {
        width: 44px;
        height: 44px;
    }
    @media (hover: hover) {
        .pager > li {
            & > a {
                transition:
                    color 0.4s,
                    border-color 0.4s,
                    background-color 0.4s;
            }
            & > a:hover {
                color: var(--color-white);
                border-color: var(--color-blue);
                background-color: var(--color-blue);
            }
        }
    }
}
@media (max-width: 768px) {
    .pager {
        gap: 14px;
        margin-top: 38px;
    }
    .pager > li {
        width: 44px;
        height: 44px;
    }
    .pager > li > a {
        width: 44px;
        height: 44px;
    }
}

/* tagify */
.tag-list .tagify__dropdown__item {
    display: inline-block;
    vertical-align: middle;
    border-radius: 3px;
    padding: 0.3em 0.5em;
    border: 1px solid #ccc;
    background: #f3f3f3;
    margin: 0.2em;
    font-size: 0.85em;
    color: black;
    transition: 0s;
}

.tag-list .tagify__dropdown__item--active {
    border-color: black;
}

.tag-list .tagify__dropdown__item:hover {
    background: lightyellow;
    border-color: gold;
}

.tag-list .tagify__dropdown__item--hidden {
    max-width: 0;
    max-height: initial;
    padding: 0.3em 0;
    margin: 0.2em 0;
    white-space: nowrap;
    text-indent: -20px;
    border: 0;
}
